Main Page glibmm Namespaces Book

# Glib::Sequence< Iterator > Class Template Reference
[Generic container converters]

Utility class holding an iterator sequence. More...

List of all members.

## Public Member Functions
| Sequence (Iterator pbegin, Iterator pend)
Iterator | begin () const
Iterator | end () const
size_t | size () const

## Detailed Description

### template <class Iterator>
class Glib::Sequence< Iterator >

Utility class holding an iterator sequence.

This can be used to initialize a Glib container handle (such as Glib::ArrayHandle) with an iterator sequence. Use the helper function Glib::sequence() to create a Sequence<> object.

## Constructor& Destructor Documentation

template <class Iterator>

Glib::Sequence<Iterator>::Sequence | ( | Iterator | pbegin,
|  | Iterator | pend |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class Iterator>

Iterator Glib::Sequence<Iterator>::begin | ( |  | ) | const`[inline]`

template <class Iterator>

Iterator Glib::Sequence<Iterator>::end | ( |  | ) | const`[inline]`

template <class Iterator>

size_t Glib::Sequence<Iterator>::size | ( |  | ) | const`[inline]`

References std::distance().

The documentation for this class was generated from the following file:

- containerhandle_shared.h